Package org.eclipse.rdf4j.sail.federation.config

## Class FederationConfig

- java.lang.Object
- - org.eclipse.rdf4j.sail.config.AbstractSailImplConfig
  - - org.eclipse.rdf4j.sail.federation.config.FederationConfig

- All Implemented Interfaces:
    `SailImplConfig`

      @Deprecated
      public class FederationConfig
      extends AbstractSailImplConfig

  Deprecated.
  since 3.1.0. This module will be replaced by the new FedX federation module.
  Lists the members of a federation and which properties describe a resource subject in a unique member.
  Author:
    James Leigh

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IRI` | `DISTINCT` | Deprecated. If no two members contain the same statement.
    `static IRI` | `LOCALPROPERTYSPACE` | Deprecated. For all triples with a predicate in this space, the container RDF store contains all triples with that subject and any predicate in this space.
    `static IRI` | `MEMBER` | Deprecated.
    `static String` | `NAMESPACE` | Deprecated. http://www.openrdf.org/config/sail/federation#
    `static IRI` | `READ_ONLY` | Deprecated. If the federation should not try and add statements to its members.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FederationConfig()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addLocalPropertySpace​(String localPropertySpace)` | Deprecated.
    `void` | `addMember​(RepositoryImplConfig member)` | Deprecated.
    `Resource` | `export​(Model model)` | Deprecated.
    `Set<String>` | `getLocalPropertySpace()` | Deprecated.
    `List<RepositoryImplConfig>` | `getMembers()` | Deprecated.
    `boolean` | `isDistinct()` | Deprecated.
    `boolean` | `isReadOnly()` | Deprecated.
    `void` | `parse​(Model graph, Resource implNode)` | Deprecated.
    `void` | `setDistinct​(boolean disjoint)` | Deprecated.
    `void` | `setMembers​(List<RepositoryImplConfig> members)` | Deprecated.
    `void` | `setReadOnly​(boolean readOnly)` | Deprecated.
    `void` | `validate()` | Deprecated. Validates this configuration.

    - ### Methods inherited from class org.eclipse.rdf4j.sail.config.AbstractSailImplConfig

      `getConnectionTimeOut, getIterationCacheSyncThreshold, getType, setConnectionTimeOut, setIterationCacheSyncThreshold, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      Deprecated.
      http://www.openrdf.org/config/sail/federation#
      See Also:
        Constant Field Values

    - #### MEMBER

          public static final IRI MEMBER

      Deprecated.

    - #### LOCALPROPERTYSPACE

          public static final IRI LOCALPROPERTYSPACE

      Deprecated.
      For all triples with a predicate in this space, the container RDF store contains all triples with that subject and any predicate in this space.

    - #### DISTINCT

          public static final IRI DISTINCT

      Deprecated.
      If no two members contain the same statement.

    - #### READ_ONLY

          public static final IRI READ_ONLY

      Deprecated.
      If the federation should not try and add statements to its members.

  - ### Constructor Detail

    - #### FederationConfig

          public FederationConfig()

      Deprecated.

  - ### Method Detail

    - #### getMembers

          public List<RepositoryImplConfig> getMembers()

      Deprecated.

    - #### setMembers

          public void setMembers​(List<RepositoryImplConfig> members)

      Deprecated.

    - #### addMember

          public void addMember​(RepositoryImplConfig member)

      Deprecated.

    - #### getLocalPropertySpace

          public Set<String> getLocalPropertySpace()

      Deprecated.

    - #### addLocalPropertySpace

          public void addLocalPropertySpace​(String localPropertySpace)

      Deprecated.

    - #### isDistinct

          public boolean isDistinct()

      Deprecated.

    - #### setDistinct

          public void setDistinct​(boolean disjoint)

      Deprecated.

    - #### isReadOnly

          public boolean isReadOnly()

      Deprecated.

    - #### setReadOnly

          public void setReadOnly​(boolean readOnly)

      Deprecated.

    - #### export

          public Resource export​(Model model)

      Deprecated.
      Specified by:
        `export` in interface `SailImplConfig`
      Overrides:
        `export` in class `AbstractSailImplConfig`

    - #### parse

          public void parse​(Model graph,
                            Resource implNode)
                     throws SailConfigException

      Deprecated.
      Specified by:
        `parse` in interface `SailImplConfig`
      Overrides:
        `parse` in class `AbstractSailImplConfig`
      Throws:
        `SailConfigException`

    - #### validate

          public void validate()
                        throws SailConfigException

      Deprecated.
      Description copied from interface: `SailImplConfig`
      Validates this configuration. A `SailConfigException` is thrown when the configuration is invalid. The exception should contain an error message that indicates why the configuration is invalid.
      Specified by:
        `validate` in interface `SailImplConfig`
      Overrides:
        `validate` in class `AbstractSailImplConfig`
      Throws:
        `SailConfigException` - If the configuration is invalid.